package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)枚举类
*
* @author zxfei
*/
public enum ProjectTypeEnum {
    法律法规(0, "法律法规"),
    业务知识(1, "业务知识"),
    行业知识(2, "行业知识"),
    通用知识(3, "通用知识");
    private Integer value;
    private String desc;

    ProjectTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ProjectTypeEnum getByValue(Integer value) {
        for (ProjectTypeEnum projectTypeEnum : ProjectTypeEnum.values()) {
            if (projectTypeEnum.getValue() == value) {
                return projectTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ProjectTypeEnum item : ProjectTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}